<?php
/**
 * Plugin Name: WSW – Import Export Ecommerce integration
 * Plugin URI: http://www.momothemes.com/
 * Description: Import Shopify Products to WooCommerce.
 * Text Domain: momowsw
 * Domain Path: /languages
 * Author: MoMo Themes
 * Version: 1.2.0
 * Requires PHP: 7.0
 * Author URI: http://www.momothemes.com/
 * Requires at least: 5.7
 * Tested up to: 6.0
 */
class MoMo_WSW_Import_Export {
	/**
	 * Plugin Version
	 *
	 * @var string
	 */
	public $version = '1.2.0';
	/**
	 * Constructor
	 */
	public function __construct() {
		add_action( 'plugins_loaded', array( $this, 'momowsw_plugin_loaded' ) );
	}
	/**
	 * Plugin Loaded
	 */
	public function momowsw_plugin_loaded() {
		$this->plugin_url  = plugin_dir_url( __FILE__ );
		$this->plugin_path = dirname( __FILE__ ) . '/';
		add_action( 'init', array( $this, 'momowsw_plugin_init' ), 0 );
	}
	/**
	 * Plugin Init
	 *
	 * @return void
	 */
	public function momowsw_plugin_init() {
		if ( ! class_exists( 'WooCommerce' ) ) {
			add_action( 'admin_notices', array( $this, 'momo_wsw_no_wc_notice' ) );
		} else {
			include_once 'includes/class-momo-wsw-functions.php';
			include_once 'includes/class-momo-wsw-export-functions.php';
			include_once 'includes/class-momo-wsw-export-shopify.php';
			include_once 'includes/class-momo-wsw-background-process.php';
			$this->fn  = new MoMo_WSW_Functions();
			$this->efn = new MoMo_WSW_Export_Functions();
			if ( is_admin() ) {
				include_once 'includes/admin/class-momo-wsw-admin-init.php';
				include_once 'includes/admin/class-momo-wsw-admin-ajax.php';
			}
		}
	}
	/**
	 * Notify if WooCommerce is not there
	 */
	public function momo_wsw_no_wc_notice() {
		?>
		<div class="message error">
			<p>
				<?php
				esc_html_e( 'This plugin needs WooCommerce plugin to store imported product(s). Please install woocommerce first', 'momowsw' );
				?>
			</p>
		</div>
		<?php
	}
}
$GLOBALS['momowsw'] = new MoMo_WSW_Import_Export();
