<?php
/**
 * MoMo WSW - Admin Settings Page
 *
 * @author MoMo Themes
 * @package momowsw
 * @since v1.0
 */

global $momowsw;
$momowsw_options = get_option( 'momowsw_options' );
?>
<div id="momo-be-form">
	<div class="momo-be-wrapper">
		<h2 class="nav-tab-wrapper">  
			<div class="nav-tab nav-tab-active">
				<?php esc_html_e( 'MoMo Themes - WSW', 'momowsw' ); ?>
			</div>
		</h2>

		<table class="momo-be-tab-table">
			<tbody>
				<tr>
					<td valign="top">
						<ul class="momo-be-main-tab">
							<li><a class="momo-be-tablinks active" href="#momo-be-settings-momo-wsw"><i class='bx bx-code-alt'></i><span><?php esc_html_e( 'Settings', 'momowsw' ); ?></span></a></li>
							<li><a class="momo-be-tablinks" href="#momo-be-import-momo-wsw"><i class='bx bx-import'></i><span><?php esc_html_e( 'Shopify Import', 'momowsw' ); ?></span></a></li>
							<li><a class="momo-be-tablinks" href="#momo-be-wsw-export-settings"><i class='bx bx-export' ></i><span><?php esc_html_e( 'Export Settings', 'momowsw' ); ?></span></a></li>
							<li><a class="momo-be-tablinks" href="#momo-be-wsw-go-pro"><i class='bx bx-equalizer' ></i><span><?php esc_html_e( 'Go Pro', 'momowsw' ); ?></span></a></li>
						</ul>
					</td>
					<td class="momo-be-main-tabcontent" width="100%" valign="top">
						<div class="momo-be-working"></div>	
						<div id="momo-be-settings-momo-wsw" class="momo-be-admin-content active">
							<form method="post" action="options.php" id="momo-momowsw-admin-settings-form">
								<?php settings_fields( 'momowsw-settings-group' ); ?>
								<?php do_settings_sections( 'momowsw-settings-group' ); ?>
								<?php require_once 'page-momo-wsw-settings.php'; ?>
								<?php submit_button(); ?>
							</form>
						</div>
						<div id="momo-be-import-momo-wsw" class="momo-be-admin-content">
							<?php require_once 'page-momo-wsw-import.php'; ?>
						</div>
						<div id="momo-be-wsw-export-settings" class="momo-be-admin-content">
							<form method="post" action="options.php" id="momo-momowsw-admin-settings-export-form">
								<?php settings_fields( 'momowsw-settings-export-group' ); ?>
								<?php do_settings_sections( 'momowsw-settings-export-group' ); ?>
								<?php require_once 'page-momo-wsw-export-settings.php'; ?>
								<?php submit_button(); ?>
							</form>
						</div>
					</td>
				</tr>
			</tbody>
		</table>
	</div>
</div>
